Bug 561338 (CVE-2009-4247) - CVE-2009-4247 HelixPlayer / RealPlayer: RTSP client ASM RuleBook stack buffer overflow
Summary: CVE-2009-4247 HelixPlayer / RealPlayer: RTSP client ASM RuleBook stack buffer...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-4247
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard:
Depends On:
Blocks: CVE-2009-0375, CVE-2009-0376, CVE-2009-4241, CVE-2009-4244, CVE-2009-4246
TreeView+ depends on / blocked
 
Reported: 2010-02-03 13:22 UTC by Tomas Hoger
Modified: 2019-09-29 12:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 11:06:54 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0094 0 normal SHIPPED_LIVE Critical: HelixPlayer security update 2010-02-09 10:14:30 UTC

Description Tomas Hoger 2010-02-03 13:22:09 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-4247 to the following vulnerability:

RealNetworks RealPlayer 10; RealPlayer 10.5 6.0.12.1040 through 6.0.12.1741;
RealPlayer 11 11.0.x; RealPlayer SP 1.0.0 and 1.0.1; RealPlayer Enterprise; Mac
RealPlayer 10, 10.1, 11.0, and 11.0.1; Linux RealPlayer 10, 11.0.0, and 11.0.1;
and Helix Player 10.x, 11.0.0, and 11.0.1 allow remote attackers to have an
unspecified impact via a crafted ASM RuleBook, related to an "array overflow."

References:
http://service.real.com/realplayer/security/01192010_player/en/
http://xforce.iss.net/xforce/xfdb/55802

Comment 3 errata-xmlrpc 2010-02-09 10:15:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0094 https://rhn.redhat.com/errata/RHSA-2010-0094.html


Note You need to log in before you can comment on or make changes to this bug.